<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
       Schema::table('pay_details', function (Blueprint $table) {

            $table->enum('PD_Ty', ['TAX', 'PENLTY'])
                  ->default('TAX')
                  ->after('Lg_Id');

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
           Schema::table('pay_details', function (Blueprint $table) {

            $table->dropColumn('PD_Ty');

        });
    }
};
